---
title: Fetch all livestreams
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Realtime Kit](https://developers.cloudflare.com/api/go/resources/realtime_kit)

[Livestreams](https://developers.cloudflare.com/api/go/resources/realtime_kit/subresources/livestreams)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Fetch all livestreams

client.RealtimeKit.Livestreams.GetAllLivestreams(ctx, appID, params) (\*[LivestreamGetAllLivestreamsResponse](<https://developers.cloudflare.com/api/go/resources/realtime_kit#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20LivestreamGetAllLivestreamsResponse%20%3E%20(schema)>), error)

GET/accounts/{account\_id}/realtime/kit/{app\_id}/livestreams

Returns details of livestreams associated with the given App ID. It includes livestreams created by your App and RealtimeKit meetings that are livestreamed by your App. If you only want details of livestreams created by your App and not RealtimeKit meetings, you can use the `exclude_meetings` query parameter.

##### Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. [Create a token](https://developers.cloudflare.com/fundamentals/api/get-started/create-token/).

**Example:**`Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY`

##### Accepted Permissions (at least one required)

`Realtime Admin``Realtime`

##### ParametersExpand Collapse

appID string

The app identifier tag.

[Link to this property](<#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20get_all_livestreams%20%3E%20(params)%20default%20%3E%20(param)%20app_id%20%3E%20(schema)>)

<details>

<summary>

params LivestreamGetAllLivestreamsParams

</summary>

AccountID param.Field\[string]

Path param: The account identifier tag.

maxLength32

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20get_all_livestreams%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

EndTime param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/realtime_kit/subresources/livestreams/methods/get_all_livestreams#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20get_all_livestreams%20%3E%20(params)%20default%20%3E%20(param)%20end_time%20%3E%20(schema)">Time</a>]Optional

Query param: Specify the end time range in ISO format to access the live stream.

formatdate-time

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20get_all_livestreams%20%3E%20(params)%20default%20%3E%20(param)%20end_time">Link to this property</a>

ExcludeMeetings param.Field\[bool]Optional

Query param: Exclude the RealtimeKit meetings that are livestreamed.

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20get_all_livestreams%20%3E%20(params)%20default%20%3E%20(param)%20exclude_meetings">Link to this property</a>

PageNo param.Field\[int64]Optional

Query param: The page number from which you want your page search results to be displayed.

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20get_all_livestreams%20%3E%20(params)%20default%20%3E%20(param)%20page_no">Link to this property</a>

PerPage param.Field\[int64]Optional

Query param: Number of results per page.

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20get_all_livestreams%20%3E%20(params)%20default%20%3E%20(param)%20per_page">Link to this property</a>

<details>

<summary>

SortOrder param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/realtime_kit/subresources/livestreams/methods/get_all_livestreams#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20get_all_livestreams%20%3E%20(params)%20default%20%3E%20(param)%20sort_order%20%3E%20(schema)">LivestreamGetAllLivestreamsParamsSortOrder</a>]Optional

Query param: Specifies the sorting order for the results.

</summary>

const LivestreamGetAllLivestreamsParamsSortOrderAsc <a href="https://developers.cloudflare.com/api/go/resources/realtime_kit/subresources/livestreams/methods/get_all_livestreams#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20get_all_livestreams%20%3E%20(params)%20default%20%3E%20(param)%20sort_order%20%3E%20(schema)">LivestreamGetAllLivestreamsParamsSortOrder</a> = "ASC"

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20get_all_livestreams%20%3E%20(params)%20default%20%3E%20(param)%20sort_order%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

const LivestreamGetAllLivestreamsParamsSortOrderDsc <a href="https://developers.cloudflare.com/api/go/resources/realtime_kit/subresources/livestreams/methods/get_all_livestreams#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20get_all_livestreams%20%3E%20(params)%20default%20%3E%20(param)%20sort_order%20%3E%20(schema)">LivestreamGetAllLivestreamsParamsSortOrder</a> = "DSC"

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20get_all_livestreams%20%3E%20(params)%20default%20%3E%20(param)%20sort_order%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20get_all_livestreams%20%3E%20(params)%20default%20%3E%20(param)%20sort_order">Link to this property</a>

StartTime param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/realtime_kit/subresources/livestreams/methods/get_all_livestreams#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20get_all_livestreams%20%3E%20(params)%20default%20%3E%20(param)%20start_time%20%3E%20(schema)">Time</a>]Optional

Query param: Specify the start time range in ISO format to access the live stream.

formatdate-time

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20get_all_livestreams%20%3E%20(params)%20default%20%3E%20(param)%20start_time">Link to this property</a>

<details>

<summary>

Status param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/realtime_kit/subresources/livestreams/methods/get_all_livestreams#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20get_all_livestreams%20%3E%20(params)%20default%20%3E%20(param)%20status%20%3E%20(schema)">LivestreamGetAllLivestreamsParamsStatus</a>]Optional

Query param: Specifies the status of the operation.

</summary>

const LivestreamGetAllLivestreamsParamsStatusLive <a href="https://developers.cloudflare.com/api/go/resources/realtime_kit/subresources/livestreams/methods/get_all_livestreams#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20get_all_livestreams%20%3E%20(params)%20default%20%3E%20(param)%20status%20%3E%20(schema)">LivestreamGetAllLivestreamsParamsStatus</a> = "LIVE"

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20get_all_livestreams%20%3E%20(params)%20default%20%3E%20(param)%20status%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

const LivestreamGetAllLivestreamsParamsStatusIdle <a href="https://developers.cloudflare.com/api/go/resources/realtime_kit/subresources/livestreams/methods/get_all_livestreams#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20get_all_livestreams%20%3E%20(params)%20default%20%3E%20(param)%20status%20%3E%20(schema)">LivestreamGetAllLivestreamsParamsStatus</a> = "IDLE"

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20get_all_livestreams%20%3E%20(params)%20default%20%3E%20(param)%20status%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

const LivestreamGetAllLivestreamsParamsStatusErrored <a href="https://developers.cloudflare.com/api/go/resources/realtime_kit/subresources/livestreams/methods/get_all_livestreams#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20get_all_livestreams%20%3E%20(params)%20default%20%3E%20(param)%20status%20%3E%20(schema)">LivestreamGetAllLivestreamsParamsStatus</a> = "ERRORED"

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20get_all_livestreams%20%3E%20(params)%20default%20%3E%20(param)%20status%20%3E%20(schema)%20%3E%20(member)%202">Link to this property</a>

const LivestreamGetAllLivestreamsParamsStatusInvoked <a href="https://developers.cloudflare.com/api/go/resources/realtime_kit/subresources/livestreams/methods/get_all_livestreams#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20get_all_livestreams%20%3E%20(params)%20default%20%3E%20(param)%20status%20%3E%20(schema)">LivestreamGetAllLivestreamsParamsStatus</a> = "INVOKED"

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20get_all_livestreams%20%3E%20(params)%20default%20%3E%20(param)%20status%20%3E%20(schema)%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20get_all_livestreams%20%3E%20(params)%20default%20%3E%20(param)%20status">Link to this property</a>

</details>

[Link to this property](<#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20get_all_livestreams%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type LivestreamGetAllLivestreamsResponse struct{…}

</summary>

<details>

<summary>

Data LivestreamGetAllLivestreamsResponseDataOptional

</summary>

ID stringOptional

The ID of the livestream.

formatuuid

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20LivestreamGetAllLivestreamsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20id">Link to this property</a>

CreatedAt TimeOptional

Timestamp the object was created at. The time is returned in ISO format.

formatdate-time

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20LivestreamGetAllLivestreamsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20created_at">Link to this property</a>

Disabled stringOptional

Specifies if the livestream was disabled.

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20LivestreamGetAllLivestreamsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20disabled">Link to this property</a>

IngestServer stringOptional

The server URL to which the RTMP encoder sends the video and audio data.

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20LivestreamGetAllLivestreamsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20ingest_server">Link to this property</a>

MeetingID stringOptional

ID of the meeting.

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20LivestreamGetAllLivestreamsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20meeting_id">Link to this property</a>

Name stringOptional

Name of the livestream.

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20LivestreamGetAllLivestreamsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

Paging LivestreamGetAllLivestreamsResponseDataPagingOptional

</summary>

EndOffset int64Optional

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20LivestreamGetAllLivestreamsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20paging%20%3E%20(property)%20end_offset">Link to this property</a>

StartOffset int64Optional

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20LivestreamGetAllLivestreamsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20paging%20%3E%20(property)%20start_offset">Link to this property</a>

TotalCount int64Optional

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20LivestreamGetAllLivestreamsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20paging%20%3E%20(property)%20total_count">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20LivestreamGetAllLivestreamsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20paging">Link to this property</a>

PlaybackURL stringOptional

The web address that viewers can use to watch the livestream.

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20LivestreamGetAllLivestreamsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20playback_url">Link to this property</a>

<details>

<summary>

Status LivestreamGetAllLivestreamsResponseDataStatusOptional

</summary>

One of the following:

const LivestreamGetAllLivestreamsResponseDataStatusLive LivestreamGetAllLivestreamsResponseDataStatus = "LIVE"

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20LivestreamGetAllLivestreamsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20status%20%3E%20(member)%200">Link to this property</a>

const LivestreamGetAllLivestreamsResponseDataStatusIdle LivestreamGetAllLivestreamsResponseDataStatus = "IDLE"

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20LivestreamGetAllLivestreamsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20status%20%3E%20(member)%201">Link to this property</a>

const LivestreamGetAllLivestreamsResponseDataStatusErrored LivestreamGetAllLivestreamsResponseDataStatus = "ERRORED"

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20LivestreamGetAllLivestreamsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20status%20%3E%20(member)%202">Link to this property</a>

const LivestreamGetAllLivestreamsResponseDataStatusInvoked LivestreamGetAllLivestreamsResponseDataStatus = "INVOKED"

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20LivestreamGetAllLivestreamsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20status%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20LivestreamGetAllLivestreamsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20status">Link to this property</a>

StreamKey stringOptional

Unique key for accessing each livestream.

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20LivestreamGetAllLivestreamsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20stream_key">Link to this property</a>

UpdatedAt TimeOptional

Timestamp the object was updated at. The time is returned in ISO format.

formatdate-time

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20LivestreamGetAllLivestreamsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20updated_at">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20LivestreamGetAllLivestreamsResponse%20%3E%20(schema)%20%3E%20(property)%20data">Link to this property</a>

Success boolOptional

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20LivestreamGetAllLivestreamsResponse%20%3E%20(schema)%20%3E%20(property)%20success">Link to this property</a>

</details>

[Link to this property](<#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20LivestreamGetAllLivestreamsResponse%20%3E%20(schema)>)

### Fetch all livestreams

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/realtime_kit"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.RealtimeKit.Livestreams.GetAllLivestreams(
    context.TODO(),
    "14a396e7-ca44-4937-bf1f-050a69118543",
    realtime_kit.LivestreamGetAllLivestreamsParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Data)
}
```

200 example

```
{
  "data": {
    "id": "3fd739f4-3c41-456e-bfba-6ebd51e16d2d",
    "created_at": "2023-07-15T11:48:34.753Z",
    "disabled": "disabled",
    "ingest_server": "rtmps://live.cloudflare.com:443/live/",
    "meeting_id": "meeting_id",
    "name": "test",
    "paging": {
      "end_offset": 1,
      "start_offset": 1,
      "total_count": 1
    },
    "playback_url": "https://customer-s8oj0c1n5ek8ah1e.cloudflarestream.com/7de6a3fec0f9c05bf1df140950d3a237/manifest/video.m3u8",
    "status": "LIVE",
    "stream_key": "f26566285faca6fbe2e79a73a66rsrrsrrsr3cde23a2bb7dbc6c2c1761b98f4e4",
    "updated_at": "2023-07-15T11:48:34.753Z"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "data": {
    "id": "3fd739f4-3c41-456e-bfba-6ebd51e16d2d",
    "created_at": "2023-07-15T11:48:34.753Z",
    "disabled": "disabled",
    "ingest_server": "rtmps://live.cloudflare.com:443/live/",
    "meeting_id": "meeting_id",
    "name": "test",
    "paging": {
      "end_offset": 1,
      "start_offset": 1,
      "total_count": 1
    },
    "playback_url": "https://customer-s8oj0c1n5ek8ah1e.cloudflarestream.com/7de6a3fec0f9c05bf1df140950d3a237/manifest/video.m3u8",
    "status": "LIVE",
    "stream_key": "f26566285faca6fbe2e79a73a66rsrrsrrsr3cde23a2bb7dbc6c2c1761b98f4e4",
    "updated_at": "2023-07-15T11:48:34.753Z"
  },
  "success": true
}
```